2021-09-01 00:26:58 UTC
69.3 MB
42b1175eda071c0e9121e1d64345928384a93df1
DOCKER_TLS_CERTDIR/certs
DOCKER_VERSION20.10.8
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:4e9f2cdf438714c2c4533e28c6c41a89cc6c1b46cf77e54c488db30ca4f5b6f3 - 3.87% (2.68 MB)
[#001] sha256:9de31523ae09475f6d68e873b416f497c2bd9a92224d9dc9224e1ec4c0a6066e - 2.82% (1.96 MB)
[#002] sha256:3856ddc4bf6a58ca53ceb6444141995979c00718b20dae8c849231fcf9bfae27 - 0.0% (153 Bytes)
[#003] sha256:2117e19917ef5839774785d348adb2ff996bccac5f12d461ca21ecfd58283314 - 84.32% (58.4 MB)
[#004] sha256:0b53eeb058f8c3c25c5b9f9d12769ab386c353b9f48506daae8fdebd88a33a21 - 0.0% (543 Bytes)
[#005] sha256:9223565313e3813eda94fc3641a51cdd88a37775e7b9817ada2a57bd45050906 - 0.0% (1014 Bytes)
[#006] sha256:caa82c493f72cf1d33f4a0bd90320bdb1923957f3cb3b0d36596f52bad68ecb4 - 0.0% (150 Bytes)
[#007] sha256:da5973cffe69ed6ec4ab2e2a3a191794cfba7339588cdbc4f3c6355e040c05fb - 8.98% (6.22 MB)
[#008] sha256:09a47d00d0a33090100f0be8b5d564e20357fa60a275aba922aea6db6fb47531 - 0.0% (1.28 KB)
[#009] sha256:b0ba8a29d06b5993e5468f57fa6a9d0adff807919d6c664b785a96b1fb6a96d8 - 0.0% (978 Bytes)
[#010] sha256:6762b64189d2495a0856c3f7d465d7ad0f91a4e2db42b4093e70c7b55e571211 - 0.0% (2.55 KB)
/bin/sh -c #(nop) ADD file:ecdfb91a737d6c292265c1b77ffd3d82ba810dd43ea4ef79714b66b1da74a5aa in /
2021-08-31 23:18:16 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-09-01 00:26:39 UTC/bin/sh -c apk add --no-cache ca-certificates libc6-compat openssh-client
2021-09-01 00:26:40 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2021-09-01 00:26:40 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.8
2021-09-01 00:26:45 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.8.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.8.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.8.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.8.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2021-09-01 00:26:46 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2021-09-01 00:26:46 UTC/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/
2021-09-01 00:26:46 UTC/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs
2021-09-01 00:26:47 UTC/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client
2021-09-01 00:26:48 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-09-01 00:26:48 UTC/bin/sh -c #(nop) CMD ["sh"]
2021-09-01 00:26:54 UTC/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi
2021-09-01 00:26:55 UTC/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid
2021-09-01 00:26:55 UTC/bin/sh -c #(nop) ENV DIND_COMMIT=42b1175eda071c0e9121e1d64345928384a93df1
2021-09-01 00:26:57 UTC/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind
2021-09-01 00:26:57 UTC/bin/sh -c #(nop) COPY file:89f2c7c1492b0cb067fc6be48e1edf3f04c0b6063371da4a48cd4ca35aa098d7 in /usr/local/bin/
2021-09-01 00:26:57 UTC/bin/sh -c #(nop) VOLUME [/var/lib/docker]
2021-09-01 00:26:57 UTC/bin/sh -c #(nop) EXPOSE 2375 2376
2021-09-01 00:26:57 UTC/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]
2021-09-01 00:26:58 UTC/bin/sh -c #(nop) CMD []
2021-09-01 12:09:51 UTC
63.5 MB
42b1175eda071c0e9121e1d64345928384a93df1
DOCKER_TLS_CERTDIR/certs
DOCKER_VERSION20.10.8
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:bbf911997326f5b56d515142e8dbdbe01d2f308276938ddbce3ab347584ed8ce - 4.07% (2.59 MB)
[#001] sha256:6a21b349a3936e2b00dec57a9db1f448fc4a1a7a3f4ce187cab93819f045fb35 - 3.09% (1.96 MB)
[#002] sha256:bd93908d94fd730b48322ef41072abf6ba75634aeca40153ef133aae9700fbf4 - 0.0% (154 Bytes)
[#003] sha256:b2566d8104302856d2cfd150c099a6c900ecc92f214478aa574d755afc6ce191 - 83.2% (52.9 MB)
[#004] sha256:1d0dc4a2cf61d4525db0351dcde1cc47f8005d1f7260470032b1b731c75757f6 - 0.0% (545 Bytes)
[#005] sha256:e90454e11d6bb4b836cd9f026908873ed60d1f7e76b2cbcde812fcabe652fa8d - 0.0% (1016 Bytes)
[#006] sha256:33a170ef51809d6a08fc091d84fc936b83c0aa5c141c7d0cf8ec41c885a79808 - 0.0% (150 Bytes)
[#007] sha256:dc0e2259beeaa75ad2e5d9a651083197a65f1cc00f81974fe83c51617cc4c723 - 9.63% (6.12 MB)
[#008] sha256:7c21d52d8c2e860c682d8f1c65d2ffdde59adc3fa8885afe8f7ce95d69ca2a25 - 0.0% (1.28 KB)
[#009] sha256:15c880d1f23bb87b195c065ca4feb4801fded56bc304979b1b896202db7974a3 - 0.0% (977 Bytes)
[#010] sha256:c833ed3f15c1989d0149c5389b60b295a9fb2ab1050d01c3ac94605805737daa - 0.0% (2.55 KB)
/bin/sh -c #(nop) ADD file:924de68748d5d710724ceb45b3bff9d38eedcad50d5744be4ce74f8f731a791f in /
2021-09-01 02:50:45 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-09-01 12:09:33 UTC/bin/sh -c apk add --no-cache ca-certificates libc6-compat openssh-client
2021-09-01 12:09:33 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2021-09-01 12:09:34 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.8
2021-09-01 12:09:37 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.8.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.8.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.8.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.8.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2021-09-01 12:09:38 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2021-09-01 12:09:38 UTC/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/
2021-09-01 12:09:38 UTC/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs
2021-09-01 12:09:39 UTC/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client
2021-09-01 12:09:39 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-09-01 12:09:39 UTC/bin/sh -c #(nop) CMD ["sh"]
2021-09-01 12:09:48 UTC/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi
2021-09-01 12:09:49 UTC/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid
2021-09-01 12:09:49 UTC/bin/sh -c #(nop) ENV DIND_COMMIT=42b1175eda071c0e9121e1d64345928384a93df1
2021-09-01 12:09:50 UTC/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind
2021-09-01 12:09:51 UTC/bin/sh -c #(nop) COPY file:89f2c7c1492b0cb067fc6be48e1edf3f04c0b6063371da4a48cd4ca35aa098d7 in /usr/local/bin/
2021-09-01 12:09:51 UTC/bin/sh -c #(nop) VOLUME [/var/lib/docker]
2021-09-01 12:09:51 UTC/bin/sh -c #(nop) EXPOSE 2375 2376
2021-09-01 12:09:51 UTC/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]
2021-09-01 12:09:51 UTC/bin/sh -c #(nop) CMD []
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.